//---------------------------------------------------------------------------
#include "CDecisionLayer.h"
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ExtCtrls.hpp>
#ifndef MainDeciderUnitH
#define MainDeciderUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
struct Likelihood
  {
  double value;
  AnsiString letter;
  };

class TMainDeciderForm : public TForm
{
__published:	// IDE-managed Components
        TMemo *Memo;
        TButton *Button1;
        TEdit *InputEdit;
        TLabel *Label1;
        TButton *Successfulness;
        TRadioGroup *AlgorithmRadioGroup;
        TGroupBox *GroupBox1;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *FirstThreshold;
        TEdit *SecondThreshold;
        TRadioGroup *testingSetRadioGroup;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall SuccessfulnessClick(TObject *Sender);
        void __fastcall testingSetRadioGroupClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TMainDeciderForm(TComponent* Owner);
        CDecisionLayer* layer1;
        CDecisionLayer* layer2[15];
        CDecisionLayer* layer3;
        AnsiString testDataPath;
        AnsiString separator;
        AnsiString Evaluate1 (MFCCVectors input, bool showResult = false);
        AnsiString Evaluate2 (MFCCVectors input, bool showResult = false);
        void GetDecisionClasses (AnsiString s1, AnsiString s2, DecisionClass &d1, DecisionClass &d2);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainDeciderForm *MainDeciderForm;
//---------------------------------------------------------------------------
#endif
