//---------------------------------------------------------------------------

#ifndef TestingAppFormH
#define TestingAppFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//#include "Units/CDecisionVertex.h"
#include "Units/CTrainableNeuralNetwork.h"
#include "Units/CTestDTWDecisionVertex.h"
#include <Math.hpp>
#include <Dialogs.hpp>
#include <FileCtrl.hpp>
#include <Menus.hpp>
#include "CSPIN.h"
#include "About.h"
#include "AddSample.h"
#include "NewNeuralNetwork.h"
//---------------------------------------------------------------------------
class TTestingForm : public TForm
{
__published:	// IDE-managed Components
        TButton *trainButton;
        TMemo *Memo;
        TButton *Button1;
        TEdit *ClassInputEdit;
        void __fastcall trainButtonClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall ClassInputEditClick(TObject *Sender);
private:     CTrainableNeuralNetwork* n;  	// User declarations
             
public:		// User declarations
        void GetDecisionClasses (AnsiString s1, AnsiString s2, DecisionClass &d1, DecisionClass &d2);
        AnsiString DecisionClassToString(DecisionClass d);
        __fastcall TTestingForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTestingForm *TestingForm;
//---------------------------------------------------------------------------
#endif
