//---------------------------------------------------------------------------


#pragma hdrstop

#include "CLengthDecision.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

CLengthDecision::CLengthDecision (DecisionClass decisionClass1, DecisionClass decisionClass2,int mfccCount, int border)
  :CDecisionVertex(decisionClass1, decisionClass2, mfccCount)
{
m_Border = border;
}

//---------------------------------------------------------------------------

LikelihoodDistribution CLengthDecision::ComputeLikelihood(MFCCVectors mFCCInput)
{
LikelihoodDistribution result;
result.likelihood1 = 0.5;
result.likelihood2 = 0.5;

if (m_DecisionClass1.size() == 1)
  if ((m_DecisionClass1[0] == '') || (m_DecisionClass1[0] == '') || (m_DecisionClass1[0] == '') ||
     (m_DecisionClass1[0] =='') || (m_DecisionClass1[0] == '') || (m_DecisionClass1[0] == '') ||
     (m_DecisionClass1[0] == ''))
     if  (mFCCInput.size() > size_t(m_Border))
        {
        result.likelihood1 = 1;
        result.likelihood2 = 0;
        }
     else
        {
        result.likelihood1 = 0;
        result.likelihood2 = 1;
        }
if (m_DecisionClass2.size() == 1)
  if ((m_DecisionClass2[0] == '') ||(m_DecisionClass2[0] == '') ||(m_DecisionClass2[0] == '') ||
     (m_DecisionClass2[0] == '') ||(m_DecisionClass2[0] == '') || (m_DecisionClass2[0] == '') ||
     (m_DecisionClass2[0] == ''))
     if  (mFCCInput.size() > size_t(m_Border))
        {
        result.likelihood1 = 0;
        result.likelihood2 = 1;
        }
     else
        {
        result.likelihood1 = 1;
        result.likelihood2 = 0;
        }
return result;
}

//---------------------------------------------------------------------------
